Sign inGet started

Runs

GET
/organizations/{organizationId}/approvals/{approvalId}/runs
List approval flow runs
Parametry zapytania
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Filter approval runs by status
Possible values: pending, approved, denied, canceled
Treść odpowiedzi
results
array of object
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.approvalFlowId
string
wymagane
results.organizationId
string
results.workspaceId
string
results.status
string
wymagane
Possible values: pending, approved, denied, canceled
results.activeStep
number
results.previousObject
object
results.object
object
results.invoker
object
Reference to an entity that invoked the run for this flow.
Pokaż atrybuty podrzędne
results.invoker.type
string
wymagane
Type of entity that invoked the run.
Possible values: user, accesskey, contact
results.invoker.id
string
wymagane
ID of the entity that invoked the run.
results.tags
array of object
wymagane
Pokaż atrybuty podrzędne
results.tags.key
string
wymagane
results.tags.value
string
wymagane
results.results
array of object
wymagane
Pokaż atrybuty podrzędne
results.results.reviewer
object
Reference to an entity that can review the runs for this flow.
Pokaż atrybuty podrzędne
results.results.reviewer.type
string
wymagane
Possible values: user
results.results.reviewer.id
string
wymagane
results.results.userId
string
results.results.result
string
wymagane
Possible values: approved, rejected
results.results.comment
string
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}
Get approval flow run
Treść odpowiedzi
id
string
wymagane
approvalFlowId
string
wymagane
organizationId
string
workspaceId
string
status
string
wymagane
Possible values: pending, approved, denied, canceled
activeStep
number
previousObject
object
object
object
invoker
object
Reference to an entity that invoked the run for this flow.
Pokaż atrybuty podrzędne
invoker.type
string
wymagane
Type of entity that invoked the run.
Possible values: user, accesskey, contact
invoker.id
string
wymagane
ID of the entity that invoked the run.
tags
array of object
wymagane
Pokaż atrybuty podrzędne
tags.key
string
wymagane
tags.value
string
wymagane
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.reviewer
object
Reference to an entity that can review the runs for this flow.
Pokaż atrybuty podrzędne
results.reviewer.type
string
wymagane
Possible values: user
results.reviewer.id
string
wymagane
results.userId
string
results.result
string
wymagane
Possible values: approved, rejected
results.comment
string
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'